import pandas


def m():
    outside_europe = [
        "GBIF:2480454",
        "GBIF:2480189",
        "GBIF:2480824",
        "GBIF:2481942",
        "GBIF:2480873",
        "GBIF:2441247",
        "GBIF:5219404",
        "GBIF:8682680",
        "GBIF:10862059",
        "GBIF:2495150",
        "GBIF:2493680",
        "GBIF:2480514",
        "GBIF:6066527",
        "GBIF:2480923",
        "GBIF:2494442",
        "GBIF:2480881",
        "GBIF:6066393",
        "GBIF:5231817",
        "GBIF:8731530",
        "GBIF:2480610",
        "GBIF:6176790",
        "GBIF:7341593",
        "GBIF:2480927",
        "GBIF:5229150",
        "GBIF:2481937",
        "GBIF:5788496",
        "GBIF:5229302",
        "GBIF:2440880",
        "GBIF:5219436",
        "GBIF:2493723",
        "GBIF:2481907",
        "GBIF:6175526",
        "GBIF:2484609",
        "GBIF:2437470",
        "GBIF:6066512",
        "GBIF:2481209",
        "GBIF:2492522",
        "GBIF:5232465",
        "GBIF:2468656",
        "GBIF:2494035",
        "GBIF:2492526",
        "GBIF:2481495",
        "GBIF:2489076",
        "GBIF:2495347",
        "GBIF:2459603",
        "GBIF:2495667",
        "GBIF:6065811",
        "GBIF:5229915",
        "GBIF:7340222",
        "GBIF:8335820",
        "GBIF:2468651",
        "GBIF:2481516",
        "GBIF:2478424",
        "GBIF:2475821",
        "GBIF:2495783",
        "GBIF:2480461",
        "GBIF:9624901",
        "GBIF:6177296",
        "GBIF:6101147",
        "GBIF:5231298",
        "GBIF:2496316",
        "GBIF:2494061",
        "GBIF:5231205",
        "GBIF:2486144",
        "GBIF:2496432",
        "GBIF:2489057",
        "GBIF:6065853",
        "GBIF:5226308",
        "GBIF:2478133",
        "GBIF:6175531",
        "GBIF:7983173",
        "GBIF:5231792",
        "GBIF:2488966",
        "GBIF:5844339",
        "GBIF:4408806",
        "GBIF:2494014",
        "GBIF:8953936",
        "GBIF:2475965",
        "GBIF:10969459",
        "GBIF:2441049",
        "GBIF:2495858",
        "GBIF:2481065",
        "GBIF:8378494",
        "GBIF:8841716",
        "GBIF:6159136",
        "GBIF:2495406",
        "GBIF:2481895",
        "GBIF:2433670",
        "GBIF:2493716",
        "GBIF:2481364",
        "GBIF:6175527",
        "GBIF:2494073",
        "GBIF:2495434",
        "GBIF:10946560",
        "GBIF:2494099",
        "GBIF:2441176",
        "GBIF:2495427",
        "GBIF:2480568",
        "GBIF:4408970",
        "GBIF:2480529",
        "GBIF:2478902",
        "GBIF:2479902",
        "GBIF:5789285",
        "GBIF:6092999",
        "GBIF:2492675",
        "GBIF:2440714",
        "GBIF:7341597",
        "GBIF:2480967",
        "GBIF:2484396",
        "GBIF:2498061",
        "GBIF:2481010",
        "GBIF:2481684",
        "GBIF:11261360",
        "GBIF:2489133",
        "GBIF:4352370",
        "GBIF:2489985",
        "GBIF:7341850",
        "GBIF:9326020",
        "GBIF:5228024",
        "GBIF:2437378",
        "GBIF:2493707",
        "GBIF:2434762",
        "GBIF:7191468",
        "GBIF:2479968",
        "GBIF:2479623",
        "GBIF:5959942",
        "GBIF:2445033",
        "GBIF:2468663",
        "GBIF:2497530",
        "GBIF:2481859",
        "GBIF:6175312",
        "GBIF:2480845",
        "GBIF:2493662",
        "GBIF:6091247",
        "GBIF:5228232",
        "GBIF:2480538",
        "GBIF:6085965",
        "GBIF:2489362",
        "GBIF:2436661",
        "GBIF:7728002",
        "GBIF:9531123",
        "GBIF:2498310",
        "GBIF:2480391",
        "GBIF:2475243",
        "GBIF:2475223",
        "GBIF:6066350",
        "GBIF:5845390",
        "GBIF:2494030",
        "GBIF:5231037",
        "GBIF:2495195",
        "GBIF:2478160",
        "GBIF:2489181",
        "GBIF:2480261",
        "GBIF:5229141",
        "GBIF:2478605",
        "GBIF:8357600",
        "GBIF:7341594",
        "GBIF:6178269",
        "GBIF:2447367",
        "GBIF:2480383",
        "GBIF:9190263",
        "GBIF:2479560",
        "GBIF:6101070",
        "GBIF:2435172",
        "GBIF:11066020",
        "GBIF:7341606",
        "GBIF:2481513",
        "GBIF:2484155",
        "GBIF:5229045",
        "GBIF:7340902",
        "GBIF:10831617",
        "GBIF:5231903",
        "GBIF:2480562",
        "GBIF:9537238",
        "GBIF:5229832",
        "GBIF:8022607",
        "GBIF:6174991",
        "GBIF:2489077",
        "GBIF:9336",
        "GBIF:5229180",
        "GBIF:5228006",
        "GBIF:5228440",
        "GBIF:6159134",
        "GBIF:2498294",
        "GBIF:11205778",
        "GBIF:2490698",
        "GBIF:2474383",
        "GBIF:8950740",
        "GBIF:2480516",
        "GBIF:2436346",
        "GBIF:5219416",
        "GBIF:5788868",
        "GBIF:2480717",
        "GBIF:2484133",
        "GBIF:2493599",
        "GBIF:2490716",
        "GBIF:2481979",
        "GBIF:2486129",
        "GBIF:9780339",
        "GBIF:5231790",
        "GBIF:5231774",
        "GBIF:2479087",
        "GBIF:2498405",
        "GBIF:2479955",
        "GBIF:2398694",
        "GBIF:2490810",
        "GBIF:2484417",
        "GBIF:2445052",
        "GBIF:5220162",
        "GBIF:7341250",
        "GBIF:5230793",
        "GBIF:5229170",
        "GBIF:5218523",
        "GBIF:2481357",
        "GBIF:2480453",
        "GBIF:5220146",
        "GBIF:4408410",
        "GBIF:6542605",
        "GBIF:9125207",
        "GBIF:9045043",
        "GBIF:2332595",
        "GBIF:2491538",
        "GBIF:5845699",
        "GBIF:2480852",
        "GBIF:5225153",
        "GBIF:7894593",
        "GBIF:8845184",
        "GBIF:2480556",
        "GBIF:2481991",
        "GBIF:5229267",
        "GBIF:6178121",
        "GBIF:2486253",
        "GBIF:2409383",
        "GBIF:8770805",
        "GBIF:6085973",
        "GBIF:2437368",
        "GBIF:2493626",
        "GBIF:5845713",
        "GBIF:2440433",
        "GBIF:2497035",
        "GBIF:2434291",
        "GBIF:6094960",
        "GBIF:5228640",
        "GBIF:2493098",
        "GBIF:10540401",
        "GBIF:6093013",
        "GBIF:7193894",
        "GBIF:6101015",
        "GBIF:2481463",
        "GBIF:2487390",
        "GBIF:5229407",
        "GBIF:6093345",
        "GBIF:7059964",
        "GBIF:7341828",
        "GBIF:6093374",
        "GBIF:7501740",
        "GBIF:2488903",
        "GBIF:2491651",
        "GBIF:2437404",
        "GBIF:2487397",
        "GBIF:8909697",
        "GBIF:2498054",
        "GBIF:2481671",
        "FINBIF:MX.4971344",
        "GBIF:2433573",
        "GBIF:6092631",
        "GBIF:5230402",
        "GBIF:2403808",
        "GBIF:10758120",
        "GBIF:2494066",
        "GBIF:2497828",
        "GBIF:2480651",
        "GBIF:2493697",
        "GBIF:5789239",
        "GBIF:2392210",
        "GBIF:2487935",
        "GBIF:9167832",
        "GBIF:2483157",
        "GBIF:2435066",
        "GBIF:8247946",
        "GBIF:2474441",
        "GBIF:2498406",
        "GBIF:5229067",
        "GBIF:2419231",
        "GBIF:6159238",
        "GBIF:2486230",
        "GBIF:5845714",
        "GBIF:9784990",
        "GBIF:2406721",
        "GBIF:2437349",
        "GBIF:2478928",
        "GBIF:2332598",
        "GBIF:9123743",
        "GBIF:2407707",
        "GBIF:2445039",
        "GBIF:5723062",
        "GBIF:2485821",
        "GBIF:2487413",
        "GBIF:2493686",
        "GBIF:2479907",
        "GBIF:2491591",
        "GBIF:7191125",
        "GBIF:7094910",
        "GBIF:6066382",
        "GBIF:2490740",
        "GBIF:9637896",
        "GBIF:5219146",
        "GBIF:5215147",
        "GBIF:11340758",
        "GBIF:2479437",
        "GBIF:6091822",
        "GBIF:6066403",
        "GBIF:5225148",
        "GBIF:5232427",
        "GBIF:9120951",
        "GBIF:2498117",
        "GBIF:5229734",
        "GBIF:6066468",
        "GBIF:11250384",
        "GBIF:2490363",
        "GBIF:5793201",
        "GBIF:6176302",
        "GBIF:5230861",
        "GBIF:2481473",
        "GBIF:2474388",
        "GBIF:5229036",
        "GBIF:5231771",
        "GBIF:5231635",
        "GBIF:2498260",
        "GBIF:2441052",
        "GBIF:5844925",
        "GBIF:2494100",
        "GBIF:2494324",
        "GBIF:9098466",
        "GBIF:6066525",
        "GBIF:5228167",
        "GBIF:2478790",
        "GBIF:9992856",
        "GBIF:2445042",
        "GBIF:2395284",
        "GBIF:5788510",
        "GBIF:7060519",
        "GBIF:7341816",
        "GBIF:2398623",
        "GBIF:7191373",
        "GBIF:7191591",
        "GBIF:2395157",
        "GBIF:9772702",
        "GBIF:2487565",
        "GBIF:6091770",
        "GBIF:5218844",
        "GBIF:2433502",
        "GBIF:5706664",
        "GBIF:6173381",
        "GBIF:6094665",
        "GBIF:6090806",
        "GBIF:2493065",
        "GBIF:5231764",
        "GBIF:6065846",
        "GBIF:5218864",
        "GBIF:6093202",
        "GBIF:2490763",
        "GBIF:6179727",
        "GBIF:2434317",
        "GBIF:5844917",
        "GBIF:2334433",
        "GBIF:5218986",
        "GBIF:6094535",
        "GBIF:2487453",
        "GBIF:2479686",
        "GBIF:8298810",
        "GBIF:2492192",
        "WRN:85137",
        "GBIF:2483857",
        "GBIF:2490872",
        "GBIF:2441053",
        "GBIF:2479268",
        "GBIF:5219569",
        "GBIF:7192732",
        "GBIF:7094927",
        "GBIF:9183929",
        "GBIF:5212691",
        "GBIF:5212222",
        "GBIF:2968",
        "GBIF:5846401",
        "GBIF:2334438",
        "GBIF:2493399",
        "GBIF:2489220",
        "GBIF:6178136",
        "GBIF:6176253",
        "GBIF:2492235",
        "GBIF:2393779",
        "GBIF:2440943",
        "GBIF:6094118",
        "GBIF:2437145",
        "GBIF:6065925",
        "GBIF:2489037",
        "GBIF:6066526",
        "GBIF:2482475",
        "GBIF:2415752",
        "GBIF:6065901",
    ]

    t = pandas.read_csv("/home/lhogeweg/storage/meuft/model_package_repo/taxon_map.csv")
    t["right_taxon_id"] = t.right.apply(lambda x_: ":".join(x_.split(":")[1:]))
    t["left_taxon_id"] = t.left.apply(lambda x_: ":".join(x_.split(":")[1:]))
    t["left_namespace"] = t.left.apply(lambda x_: x_.split(":")[1])
    # print(t.right_taxon_id.head(100))
    t = t[t.right_taxon_id.isin(set(outside_europe)) & (t.left_namespace == "WRN")]
    print(t.left.unique().tolist())

    print(t.columns)

if __name__ == "__main__":
    m()
